/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package district

import (
	e "simrs-vx/internal/domain/main-entities/district"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.District) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Regency_Code = inputSrc.Regency_Code
	data.Code = *inputSrc.Code
	data.Name = inputSrc.Name
}
